Bug 900483 (JBPAPP6-1303) - Stale session data received when using DIST SYNC on jvm kill
Summary: Stale session data received when using DIST SYNC on jvm kill
Status: ASSIGNED
Alias: JBPAPP6-1303
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: DR5
: EAP 6.4.0
Assignee: Paul Ferraro
QA Contact: Michal Vinkler
URL: http://jira.jboss.org/jira/browse/JBP...
Whiteboard:
Keywords:
: 900776 (view as bug list)
Depends On: 1149197 918562
Blocks: JBPAPP6-1422
TreeView+ depends on / blocked
 
Reported: 2012-05-21 14:47 UTC by Radoslav Husar
Modified: 2018-03-06 20:35 UTC (History)
9 users (show)

(edit)
During testing, some cases showed that stale session data was received when a node shut down and `DIST SYNC` or `DIST ASYNC` cache mode was used. This issue is still under investigation.
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP6-1303 Major Closed CLONE - Stale session data received when using DIST SYNC on node shutdown 2019-04-23 07:15 UTC

Description Radoslav Husar 2012-05-21 14:47:11 UTC
Affects: Release Notes
project_key: JBPAPP6

There are few occurrences when client received older data even when using DIST SYNC.

e.g. http://hudson.qa.jboss.com/hudson/view/EAP6/view/EAP6-Failover/job/eap-6x-failover-http-session-shutdown-dist-sync/34/console-perf17/

{noformat}
./perf17.log:2012/05/13 17:11:47:416 EDT [DEBUG][Runner - 968] HOST perf17.mw.lab.eng.bos.redhat.com:rootProcess:c - Session assigned: hAzyrOe0KxA51coCNbSMUsrZ
./perf17.log:2012/05/13 17:11:47:416 EDT [DEBUG][Runner - 968] HOST perf17.mw.lab.eng.bos.redhat.com:rootProcess:c - JvmRoute assigned: perf18
./perf17.log:2012/05/13 17:14:11:542 EDT [INFO ][Runner - 968] HOST perf17.mw.lab.eng.bos.redhat.com:rootProcess:c - Failover detected, JvmRoute changed. perf18 -> perf21
./perf17.log:2012/05/13 17:14:15:546 EDT [WARN ][Runner - 968] HOST perf17.mw.lab.eng.bos.redhat.com:rootProcess:c - Error sampling data:  <org.jboss.smartfrog.loaddriver.RequestProcessingException: Stale session data received. Expected 37, received 36, Runner: 968>
./perf17.log:2012/05/13 17:14:15:546 EDT [WARN ][Runner - 968] SFCORE_LOG - Error sampling data:  <org.jboss.smartfrog.loaddriver.RequestProcessingException: Stale session data received. Expected 37, received 36, Runner: 968>
./perf17.log:2012/05/13 17:21:20:224 EDT [INFO ][Runner - 968] HOST perf17.mw.lab.eng.bos.redhat.com:rootProcess:c - Failover detected, JvmRoute changed. perf21 -> perf19
./perf17.log:2012/05/13 17:23:01:507 EDT [INFO ][Runner - 968] HOST perf17.mw.lab.eng.bos.redhat.com:rootProcess:c - Failover detected, JvmRoute changed. perf19 -> perf21
{noformat}

No logging about the session (hAzyrOe0KxA51coCNbSMUsrZ) in the logs.

Comment 1 Radoslav Husar 2012-05-21 14:47:12 UTC
Link: Added: This issue Cloned from AS7-4818


Comment 2 Radoslav Husar 2012-05-21 14:47:12 UTC
Link: Added: This issue is incorporated by JBPAPP-7577


Comment 3 Radoslav Husar 2012-05-21 14:47:48 UTC
Workflow: Removed: GIT Pull Request workflow  Added: jira
Security: Added: Public
Docs QE Status: Added: NEW


Comment 5 Rajesh Rajasekaran 2012-05-21 15:06:35 UTC
Labels: Added: eap6_need_triage


Comment 6 Anne-Louise Tangring 2012-05-23 18:50:50 UTC
This issue has been triaged and decided to not block/prevent/hold the EAP 6 release. To comply with Release Criteria stating that no issues with Critical or Blocker priority setting can be open for the release, this is changed to priority Major. 

Comment 7 Rajesh Rajasekaran 2012-06-06 20:43:26 UTC
Link: Added: This issue is a dependency of JBPAPP-9290


Comment 8 Rajesh Rajasekaran 2012-06-06 20:53:55 UTC
Link: Removed: This issue is incorporated by JBPAPP-7577 


Comment 9 Misty Stanley-Jones 2012-06-12 09:35:39 UTC
Release Notes Docs Status: Added: Documented as Known Issue
Release Notes Text: Added: During testing, a few cases showed that stale session data was received when a note shut down and DIST SYNC cache mode was used. This issue is still under investigation.
Affects: Added: Release Notes


Comment 10 Rajesh Rajasekaran 2012-07-11 19:40:25 UTC
Labels: Removed: eap6_need_triage Added: eap601candidate


Comment 12 Rajesh Rajasekaran 2012-09-20 19:43:06 UTC
Labels: Removed: eap601candidate Added: eap601-qe-triage


Comment 17 Anne-Louise Tangring 2012-10-08 15:05:56 UTC
Not approved for EAP 6.0.1. If this should be reconsidered, please add the label: eap601-qe-triage

Comment 18 Anne-Louise Tangring 2012-10-08 15:05:56 UTC
Labels: Removed: eap601-qe-triage 


Comment 19 Dana Mison 2012-10-16 05:51:46 UTC
Writer: Added: mistysj


Comment 20 Misty Stanley-Jones 2012-10-18 02:10:57 UTC
Release Notes Text: Removed: During testing, a few cases showed that stale session data was received when a note shut down and DIST SYNC cache mode was used. This issue is still under investigation. Added: During testing, a few cases showed that stale session data was received when a note shut down and DIST SYNC or DIST ASYNC cache mode was used. This issue is still under investigation.


Comment 21 Dana Mison 2012-10-29 00:57:57 UTC
Release Notes Text: Removed: During testing, a few cases showed that stale session data was received when a note shut down and DIST SYNC or DIST ASYNC cache mode was used. This issue is still under investigation. Added: During testing, a few cases showed that stale session data was received when a node shut down and `DIST SYNC` or `DIST ASYNC` cache mode was used. This issue is still under investigation.


Comment 22 Anne-Louise Tangring 2012-11-13 20:54:49 UTC
Release Notes Docs Status: Removed: Documented as Known Issue 
Writer: Removed: mistysj 
Release Notes Text: Removed: During testing, a few cases showed that stale session data was received when a node shut down and `DIST SYNC` or `DIST ASYNC` cache mode was used. This issue is still under investigation. 
Docs QE Status: Removed: NEW 


Comment 24 Richard Janík 2013-03-07 08:39:50 UTC
What is the connection with https://bugzilla.redhat.com/show_bug.cgi?id=900776 ?
It seems that these two BZ's are duplicates, descended from duplicate JIRA's:

https://issues.jboss.org/browse/AS7-4818
https://issues.jboss.org/browse/AS7-5379

This issue has been observed in EAP 6.1.0.ER1, but all progress has been tracked in 900776. Should this be closed as a duplicate?

For now, I have set the required flags (jboss-eap-6.1.0, qa_ack).

Comment 25 Radoslav Husar 2013-03-07 09:35:48 UTC
*** Bug 900776 has been marked as a duplicate of this bug. ***

Comment 26 Radoslav Husar 2013-03-07 10:14:41 UTC
You are right, these issues are actually the same. Lets keep this one. 

Its been a while since I filed these issues. Can you now summarize in more detail what the issue is, how often does it happen, what are the conditions, etc.? Thanks!

Comment 27 Richard Janík 2013-03-07 10:48:33 UTC
I will provide more info soon. Since the duplicate was closed there's no need to request information from paul.ferraro (clearing needinfo?).

Comment 28 Paul Ferraro 2013-03-13 14:03:01 UTC
Can someone from QA verify this against the upcoming build?  I'm anticipating that this issue will be addressed by the Infinispan upgrade in BZ 918562.  I'm accordingly setting the status to MODIFIED.

Comment 31 Ladislav Thon 2013-04-02 09:09:00 UTC
I believe that we are still seeing this with EAP 6.1.0.ER3. Looking at https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-6x-failover-http-session-shutdown-dist-sync/47/console-perf17 (HUGE file, don't open in the browser), there is a LOT of failures looking like this:

    Stale session data received. Expected 124, received 0, Runner: 1921

Those are bug 901164 (sessions being lost).

However, there are also some failures looking like this:

    Stale session data received. Expected 167, received 128, Runner: 1367

Those look like this particular issue.

Also, the upstream JIRA (AS7-4818) is still open. Therefore, reopening.

Comment 32 Paul Ferraro 2013-04-30 15:51:16 UTC
This may be due to ISPN-2974.

Comment 33 Jitka Kozana 2013-05-05 10:15:45 UTC
Tested with ISPN 5.2.6.Final. 

It indeed looks like this issue was fixed in ISPN 5.2.6.Final, but when testing this issue, another problem was found. See BZ 959753.

Comment 34 Jitka Kozana 2013-05-14 12:02:11 UTC
Update from EAP 6.1.0.ER8 testing: 

The issue was partially fixed, the number of stale data was lowered, but did not disappeared completely.

See the job here:
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-6x-failover-http-session-shutdown-dist-sync/54/

And the parsed client logs:
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-6x-failover-http-session-shutdown-dist-sync/54/artifact/report/parsed_logs_client/index.html

Comment 35 Radoslav Husar 2013-05-14 12:19:33 UTC
Can we enumerate what is the drop in percentage of the occurence? Thanks

Comment 38 Paul Ferraro 2013-08-29 23:14:28 UTC
This will by addressed by the new web session clustering implementation scheduled for 6.3.

Comment 39 Radoslav Husar 2014-03-18 16:28:40 UTC
Needs to be revalidated following the Infinispan upgrade.

Comment 41 Ladislav Thon 2014-07-08 13:10:52 UTC
Still an issue, moving to 6.4.

Comment 42 Radoslav Husar 2014-09-02 14:33:31 UTC
Updating the summary as per comment https://bugzilla.redhat.com/show_bug.cgi?id=900483#c40.

Comment 43 Kabir Khan 2014-10-08 12:25:26 UTC
Should be fixed by 5.2.11.CR1 upgrade 1149197

Comment 44 Ladislav Thon 2014-10-17 12:27:45 UTC
Wasn't fixed by the Infinispan upgrade in EAP 6.4.0.DR5. Moving back to ASSIGNED.


Note You need to log in before you can comment on or make changes to this bug.